## org.dom4j.dom
Class DOMElement

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractBranch
              org.dom4j.tree.AbstractElement
                  org.dom4j.tree.DefaultElement
                      org.dom4j.dom.DOMElement

All Implemented Interfaces:
  Branch, Cloneable, Element, Element, Node, Node, Serializable

public class DOMElement
extends DefaultElement
implements Element

`DOMElement` implements an XML element which supports the W3C DOM API.

Version:
  $Revision: 1.23 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.AbstractElement
`EMPTY_ITERATOR, EMPTY_LIST, USE_STRINGVALUE_SEPARATOR, VERBOSE_TOSTRING`

Fields inherited from class org.dom4j.tree.AbstractBranch
`DEFAULT_CONTENT_LIST_SIZE`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`DOMElement(QName qname)`
`DOMElement(QName qname, int attributeCount)`
`DOMElement(String name)`
`DOMElement(String name, Namespace namespace)`

Method Summary
`Node` `appendChild(Node newChild)`
`protected Attribute` `attribute(Attr attr)`
`protected Attribute` `attribute(String namespaceURI, String localName)`
`Node` `cloneNode(boolean deep)`
`protected Attribute` `createAttribute(Attr newAttr)`
`String` `getAttribute(String name)`
`Attr` `getAttributeNode(String name)`
`Attr` `getAttributeNodeNS(String namespaceURI, String localName)`
`String` `getAttributeNS(String namespaceURI, String localName)`
`NamedNodeMap` `getAttributes()`
`NodeList` `getChildNodes()`
`protected DocumentFactory` `getDocumentFactory()`
`NodeList` `getElementsByTagName(String name)`
`NodeList` `getElementsByTagNameNS(String namespace, String lName)`
`Node` `getFirstChild()`
`Node` `getLastChild()`
`String` `getLocalName()`
`String` `getNamespaceURI()` Returns the URI mapped to the namespace of this element if one exists otherwise an empty `String` is returned.
`Node` `getNextSibling()`
`String` `getNodeName()`
`String` `getNodeValue()`
`Document` `getOwnerDocument()`
`Node` `getParentNode()`
`String` `getPrefix()`
`Node` `getPreviousSibling()`
`protected QName` `getQName(String namespace, String qualifiedName)`
`String` `getTagName()`
`boolean` `hasAttribute(String name)`
`boolean` `hasAttributeNS(String namespaceURI, String localName)`
`boolean` `hasAttributes()`
`boolean` `hasChildNodes()`
`Node` `insertBefore(Node newChild, Node refChild)`
`boolean` `isSupported(String feature, String version)`
`void` `removeAttribute(String name)`
`Attr` `removeAttributeNode(Attr oldAttr)`
`void` `removeAttributeNS(String namespaceURI, String localName)`
`Node` `removeChild(Node oldChild)`
`Node` `replaceChild(Node newChild, Node oldChild)`
`void` `setAttribute(String name, String value)`
`Attr` `setAttributeNode(Attr newAttr)`
`Attr` `setAttributeNodeNS(Attr newAttr)`
`void` `setAttributeNS(String namespaceURI, String qualifiedName, String value)`
`void` `setNodeValue(String nodeValue)`
`void` `setPrefix(String prefix)`
`boolean` `supports(String feature, String version)`

Methods inherited from class org.dom4j.tree.DefaultElement

`add, additionalNamespaces, additionalNamespaces, addNewNode, attribute, attribute, attribute, attribute, attributeCount, attributeIterator, attributeList, attributeList, attributes, clearContent, clone, contentList, declaredNamespaces, element, element, element, getDocument, getNamespaceForPrefix, getNamespaceForURI, getParent, getQName, getStringValue, getText, indexOf, node, nodeCount, nodeIterator, processingInstruction, processingInstructions, processingInstructions, remove, removeNode, removeProcessingInstruction, setAttributeList, setAttributes, setContent, setDocument, setParent, setQName, supportsParent`

Methods inherited from class org.dom4j.tree.AbstractElement

`accept, add, add, add, add, add, add, add, add, addAttribute, addAttribute, addCDATA, addComment, addElement, addEntity, addNamespace, addNewNode, addNode, addNode, addProcessingInstruction, addProcessingInstruction, addText, appendAttributes, asXML, attributeValue, attributeValue, attributeValue, attributeValue, childAdded, childRemoved, createAttributeList, createAttributeList, createCopy, createCopy, createCopy, createElement, createElement, createSingleIterator, elementIterator, elementIterator, elementIterator, elementIterator, elements, elements, elements, elements, elementText, elementText, elementTextTrim, elementTextTrim, ensureAttributesCapacity, getData, getName, getNamespace, getNamespacePrefix, getNamespacesForURI, getNodeType, getPath, getQName, getQualifiedName, getUniquePath, getXPathNameStep, getXPathResult, hasMixedContent, isRootElement, isTextOnly, normalize, remove, remove, remove, remove, remove, remove, remove, remove, setAttributes, setAttributeValue, setAttributeValue, setData, setName, setNamespace, setText, toString, write`

Methods inherited from class org.dom4j.tree.AbstractBranch
`addElement, addElement, addElement, appendContent, content, contentRemoved, createContentList, createContentList, createEmptyList, createResultList, createSingleResultList, elementByID, elementID, getContentAsStringValue, getContentAsText, getTextTrim, hasContent, invalidNodeTypeAddException, isReadOnly, setProcessingInstructions`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, createPattern, createXPath, createXPathFilter, createXPathResult, detach, getNodeTypeName, getPath, getUniquePath, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`getNodeType, normalize`

Methods inherited from interface org.dom4j.Element
`getTextTrim`

Methods inherited from interface org.dom4j.Branch
`addElement, addElement, appendContent, content, elementByID, setProcessingInstructions`

Methods inherited from interface org.dom4j.Node
`asXPathResult, createXPath, detach, getNodeTypeName, getPath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, valueOf`

Constructor Detail

### DOMElement

    public DOMElement(String name)

### DOMElement

    public DOMElement(QName qname)

### DOMElement

    public DOMElement(QName qname,
                      int attributeCount)

### DOMElement

    public DOMElement(String name,
                      Namespace namespace)

Method Detail

### supports

    public boolean supports(String feature,
                            String version)

### getNamespaceURI

    public String getNamespaceURI()

  Description copied from interface: `Element`

  Returns the URI mapped to the namespace of this element if one exists otherwise an empty `String` is returned.

  Specified by:
    `getNamespaceURI` in interface `Node`
  Overrides:
    `getNamespaceURI` in class `AbstractElement`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Specified by:
    `setPrefix` in interface `Node`
  Throws:
    `DOMException`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`

### getNodeName

    public String getNodeName()

  Specified by:
    `getNodeName` in interface `Node`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Specified by:
    `getNodeValue` in interface `Node`
  Throws:
    `DOMException`

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  Specified by:
    `setNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Throws:
    `DOMException`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Specified by:
    `appendChild` in interface `Node`
  Throws:
    `DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`

### cloneNode

    public Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`

### isSupported

    public boolean isSupported(String feature,
                               String version)

  Specified by:
    `isSupported` in interface `Node`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`

### getTagName

    public String getTagName()

  Specified by:
    `getTagName` in interface `Element`

### getAttribute

    public String getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Element`

### setAttribute

    public void setAttribute(String name,
                             String value)
                      throws DOMException

  Specified by:
    `setAttribute` in interface `Element`
  Throws:
    `DOMException`

### removeAttribute

    public void removeAttribute(String name)
                         throws DOMException

  Specified by:
    `removeAttribute` in interface `Element`
  Throws:
    `DOMException`

### getAttributeNode

    public Attr getAttributeNode(String name)

  Specified by:
    `getAttributeNode` in interface `Element`

### setAttributeNode

    public Attr setAttributeNode(Attr newAttr)
                          throws DOMException

  Specified by:
    `setAttributeNode` in interface `Element`
  Throws:
    `DOMException`

### removeAttributeNode

    public Attr removeAttributeNode(Attr oldAttr)
                             throws DOMException

  Specified by:
    `removeAttributeNode` in interface `Element`
  Throws:
    `DOMException`

### getAttributeNS

    public String getAttributeNS(String namespaceURI,
                                 String localName)

  Specified by:
    `getAttributeNS` in interface `Element`

### setAttributeNS

    public void setAttributeNS(String namespaceURI,
                               String qualifiedName,
                               String value)
                        throws DOMException

  Specified by:
    `setAttributeNS` in interface `Element`
  Throws:
    `DOMException`

### removeAttributeNS

    public void removeAttributeNS(String namespaceURI,
                                  String localName)
                           throws DOMException

  Specified by:
    `removeAttributeNS` in interface `Element`
  Throws:
    `DOMException`

### getAttributeNodeNS

    public Attr getAttributeNodeNS(String namespaceURI,
                                   String localName)

  Specified by:
    `getAttributeNodeNS` in interface `Element`

### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr newAttr)
                            throws DOMException

  Specified by:
    `setAttributeNodeNS` in interface `Element`
  Throws:
    `DOMException`

### getElementsByTagName

    public NodeList getElementsByTagName(String name)

  Specified by:
    `getElementsByTagName` in interface `Element`

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespace,
                                           String lName)

  Specified by:
    `getElementsByTagNameNS` in interface `Element`

### hasAttribute

    public boolean hasAttribute(String name)

  Specified by:
    `hasAttribute` in interface `Element`

### hasAttributeNS

    public boolean hasAttributeNS(String namespaceURI,
                                  String localName)

  Specified by:
    `hasAttributeNS` in interface `Element`

### getDocumentFactory

    protected DocumentFactory getDocumentFactory()

  Overrides:
    `getDocumentFactory` in class `DefaultElement`

### attribute

    protected Attribute attribute(Attr attr)

### attribute

    protected Attribute attribute(String namespaceURI,
                                  String localName)

### createAttribute

    protected Attribute createAttribute(Attr newAttr)

### getQName

    protected QName getQName(String namespace,
                             String qualifiedName)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.